Summary:        Plug-Ins for Sony Playstation Emulators
Name:           psx-plugins
Version:        0.1
Release:        %mkrel 1
License:        GNU General Public License (GPL), Other License(s), see package
Group:          Emulators
Source1:        gpupeopssoftsdl116.tar.gz
Source2:        cdr-1.8.tar.gz
Source3:        cdriso-1.4.tgz
Source4:        gpupetemesagl176.tar.gz
Source5:        joypadXwin-1.1.tgz
Source6:        padXwin-1.6.tgz
Source7:        spu-1.6.tgz
Source8:        spupetenull101.tar.gz
Source9:        PeopsSpu107.tar.gz
Source10:       padJoy06.tgz
Patch1:         joystick.dif
Patch2:         padXwin.dif
Patch3:         spu.dif
Patch4:         padJoy.dif
BuildRequires:  freetype2 gtk-devel liblcms-devel nasm xorg-x11
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Autoreqprov:    on

%description
This package contains GPU (graphics), SPU (sound), input, and CD
plug-ins for Sony Playstation emulators like PCSX and ePSXe.

%prep
rm -rf %{buildroot}
%setup -n PcsxSrc -c -T
mkdir gpupeopssoft
cd gpupeopssoft
tar xfz %{SOURCE1}
mkdir ../cdr
cd ../cdr
tar xfz %{SOURCE2}
cd ..
tar xfz %{SOURCE3}
mkdir gpupetemesagl
cd gpupetemesagl
tar xfz %{SOURCE4}
cd ..
tar xfz %{SOURCE5}
mkdir padXwin
cd padXwin
tar xfz %{SOURCE6}
mkdir ../spu
cd ../spu
tar xfz %{SOURCE7}
mkdir ../spunull
cd ../spunull
tar xfz %{SOURCE8}
mkdir ../spuPeopsSound
cd ../spuPeopsSound
tar xfz %{SOURCE9}
cd ..
tar xfz %{SOURCE10}

cd joystick
%patch1
cd ../padXwin
%patch2
cd ../spu
%patch3
cd ../padJoy
%patch4


%build
cd cdr/src
make
cd ../../cdriso/src/Linux
make
cd ../../../joystick
make
cd ../padXwin/src
make
cd ../../spu/src
make
cd ../../spuPeopsSound/src
make
cd ../../padJoy/src
make clean
make
cd ../../spuPeopsSound/src
make

%install
%define PLUGINDIR /usr/lib/%{name}
%define DOCDIR %{_docdir}/%{name}
install -m 755 -d $RPM_BUILD_ROOT%{DOCDIR}
install -m 755 -d $RPM_BUILD_ROOT%{PLUGINDIR}
install -m 755 -d $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -m 755 -d $RPM_BUILD_ROOT%{PLUGINDIR}/cfg
install -m 755 gpupeopssoft/libgpuPeopsSDL.so.* $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -m 755 gpupeopssoft/cfgPeopsSoft $RPM_BUILD_ROOT%{PLUGINDIR}/cfg/cfgPeopsSoft
install -m 755 -d $RPM_BUILD_ROOT%{DOCDIR}/PeopsSoftGpu
install -m 644 gpupeopssoft/*.txt $RPM_BUILD_ROOT%{DOCDIR}/PeopsSoftGpu
install -m 755 cdr/src/libcdr-*.so $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -m 644 cdr/ReadMe.txt $RPM_BUILD_ROOT%{DOCDIR}/cdr.ReadMe.txt
install -m 755 cdr/src/cfg-gtk2/cfgCdr $RPM_BUILD_ROOT%{PLUGINDIR}/cfg
install -m 755 cdriso/src/Linux/libcdriso-*.so $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -m 644 cdriso/ReadMe.txt $RPM_BUILD_ROOT%{DOCDIR}/cdriso.ReadMe.txt
install -m 755 cdriso/src/Linux/cfgCdrIso $RPM_BUILD_ROOT%{PLUGINDIR}/cfg
install -m 755 joystick/libjoypadXwin-*.so $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -m 644 joystick/ReadMe.txt $RPM_BUILD_ROOT%{DOCDIR}/joypadXwin.ReadMe.txt
install -m 755 padXwin/src/libpadXwin-*.so $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -m 644 padXwin/ReadMe.txt $RPM_BUILD_ROOT%{DOCDIR}/padXwin.ReadMe.txt
install -m 755 padXwin/src/cfgPadXwin $RPM_BUILD_ROOT%{PLUGINDIR}/cfg
install -m 755 spu/src/libspu-*.so $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -m 644 spu/ReadMe.txt $RPM_BUILD_ROOT%{DOCDIR}/spu.ReadMe.txt
install -m 755 spunull/libspuPeteNull.so.* $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -m 644 spunull/readme.txt $RPM_BUILD_ROOT%{DOCDIR}/spunull.ReadMe.txt
cd spuPeopsSound
install -m 755 cfgPeopsOSS $RPM_BUILD_ROOT%{PLUGINDIR}/cfg/cfgPeopsOSS
install -m 755 src/libspuPeopsOSS.so.* $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -d -m 755 $RPM_BUILD_ROOT%{DOCDIR}/spuPeopsOSS
install -m 644 readme_1_7.txt $RPM_BUILD_ROOT%{DOCDIR}/spuPeopsOSS
install -m 644 version_1_7.txt $RPM_BUILD_ROOT%{DOCDIR}/spuPeopsOSS
cd ..
cd padJoy
install -m 755 src/libpadJoy-*.so $RPM_BUILD_ROOT%{PLUGINDIR}/Plugin
install -m 644 readme.txt $RPM_BUILD_ROOT%{DOCDIR}/padJoy.readme.txt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{PLUGINDIR}
%{DOCDIR}

%changelog -n psx-plugins
* Fri Apr 11 2008 P. K. Frederic <pkfric@yahoo.com> 0.1-1pclos2007
- original spec file by uli@suse.de
- build for PCLinuxOS
